Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.types
Class Matrix2

    java.lang.Object
      cc.mallet.types.DenseMatrix
          cc.mallet.types.Matrix2

All Implemented Interfaces:
  ConstantMatrix, Matrix, java.io.Serializable

Deprecated.

    @Deprecated
    public final class Matrix2

extends DenseMatrix

See Also:
  Serialized Form

Field Summary

Fields inherited from class cc.mallet.types.DenseMatrix
`hasInfinite`

Constructor Summary
`Matrix2(double[][] values)` Deprecated.
`Matrix2(double[] values, int nr, int nc)` Deprecated.
`Matrix2(double value, int nr, int nc)` Deprecated.
`Matrix2(int nr, int nc)` Deprecated.

Method Summary
`void` | `arrayCopyFrom(double[] array, int startingArrayIndex)` Deprecated.
`void` | `arrayCopyInto(double[] array, int startingArrayIndex)` Deprecated.
`ConstantMatrix` | `cloneMatrix()` Deprecated.
`Matrix2` | `cloneMatrix2()` Deprecated.
`void` | `columnPlusEquals(int ci, double v, double factor)` Deprecated.
`void` | `columnPlusEquals(int ci, Vector v, double factor)` Deprecated.
`int` | `getDimensions(int[] sizes)` Deprecated.
`int` | `getNumCols()` Deprecated.
`int` | `getNumDimensions()` Deprecated.
`int` | `getNumRows()` Deprecated.
`void` | `plusEquals(int ri, int ci, double value)` Deprecated.
`void` | `print()` Deprecated.
`double` | `rowDotProduct(int ri, Vector v)` Deprecated.
`double` | `rowDotProduct(int ri, Vector v, int maxCi, FeatureSelection selection)` Deprecated. Skip all column indices higher than "maxCi".
`void` | `rowPlusEquals(int ri, double v, double factor)` Deprecated.
`void` | `rowPlusEquals(int ri, Vector v, double factor)` Deprecated.
`void` | `rowSetAll(int ri, double v, FeatureSelection fselection, boolean ifSelected)` Deprecated. If "ifSelected" is false, it reverses the selection.
`void` | `setAll(double v)` Deprecated.
`void` | `setAll(double v, FeatureSelection fselection, boolean ifSelected)` Deprecated. If "ifSelected" is false, it reverses the selection.
`void` | `setSingle(int i, double value)` Deprecated.
`void` | `setValue(int[] indices, double val)` Deprecated.
`void` | `setValue(int rowIndex, int colIndex, double value)` Deprecated.
`int` | `singleIndex(int[] indices)` Deprecated.
`int` | `singleSize()` Deprecated.
`void` | `singleToIndices(int i, int[] indices)` Deprecated.
`double` | `singleValue(int i)` Deprecated.
`boolean` | `sizeMatches(ConstantMatrix m)` Deprecated.
`boolean` | `sizeMatches(Matrix2 m)` Deprecated.
`java.lang.String` | `toString()` Deprecated.
`Matrix2` | `transpose()` Deprecated.
`double` | `twoNormSquared()` Deprecated.
`double` | `value(int[] indices)` Deprecated.
`double` | `value(int rowIndex, int colIndex)` Deprecated.

Methods inherited from class cc.mallet.types.DenseMatrix
`absNorm, absNormalize, almostEquals, divideEquals, dotProduct, elementwiseDivideEquals, elementwiseDivideEquals, elementwiseTimesEquals, elementwiseTimesEquals, equalsPlus, incrementSingleValue, indexAtLocation, infinityNorm, infinityNorm, infinityNormalize, isNaN, location, numLocations, oneNorm, oneNormalize, plusEquals, plusEquals, plusEquals, plusEquals, plusEquals, set, setSingleValue, setValueAtLocation, setWithAddend, setWithFactor, substitute, timesEquals, timesEquals, twoNorm, twoNormalize, valueAtLocation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Matrix2

    public Matrix2(double[] values,
                   int nr,
                   int nc)

  Deprecated.

### Matrix2

    public Matrix2(int nr,
                   int nc)

  Deprecated.

### Matrix2

    public Matrix2(double[][] values)

  Deprecated.

### Matrix2

    public Matrix2(double value,
                   int nr,
                   int nc)

  Deprecated.

Method Detail

### getNumDimensions

    public int getNumDimensions()

  Deprecated.
  Specified by:
    `getNumDimensions` in interface `ConstantMatrix`
  Specified by:
    `getNumDimensions` in class `DenseMatrix`

### getDimensions

    public int getDimensions(int[] sizes)

  Deprecated.
  Specified by:
    `getDimensions` in interface `ConstantMatrix`
  Specified by:
    `getDimensions` in class `DenseMatrix`

### value

    public double value(int rowIndex,
                        int colIndex)

  Deprecated.

### arrayCopyInto

    public final void arrayCopyInto(double[] array,
                                    int startingArrayIndex)

  Deprecated.

### arrayCopyFrom

    public final void arrayCopyFrom(double[] array,
                                    int startingArrayIndex)

  Deprecated.

### setValue

    public void setValue(int rowIndex,
                         int colIndex,
                         double value)

  Deprecated.

### sizeMatches

    public boolean sizeMatches(ConstantMatrix m)

  Deprecated.

### sizeMatches

    public boolean sizeMatches(Matrix2 m)

  Deprecated.

### getNumRows

    public int getNumRows()

  Deprecated.

### getNumCols

    public int getNumCols()

  Deprecated.

### transpose

    public Matrix2 transpose()

  Deprecated.

### value

    public final double value(int[] indices)

  Deprecated.
  Specified by:
    `value` in interface `ConstantMatrix`
  Specified by:
    `value` in class `DenseMatrix`

### setValue

    public final void setValue(int[] indices,
                               double val)

  Deprecated.
  Specified by:
    `setValue` in interface `Matrix`
  Specified by:
    `setValue` in class `DenseMatrix`

### singleIndex

    public final int singleIndex(int[] indices)

  Deprecated.
  Specified by:
    `singleIndex` in interface `ConstantMatrix`
  Specified by:
    `singleIndex` in class `DenseMatrix`

### singleToIndices

    public final void singleToIndices(int i,
                                      int[] indices)

  Deprecated.
  Specified by:
    `singleToIndices` in interface `ConstantMatrix`
  Specified by:
    `singleToIndices` in class `DenseMatrix`

### singleValue

    public final double singleValue(int i)

  Deprecated.
  Specified by:
    `singleValue` in interface `ConstantMatrix`
  Overrides:
    `singleValue` in class `DenseMatrix`

### setSingle

    public final void setSingle(int i,
                                double value)

  Deprecated.

### singleSize

    public final int singleSize()

  Deprecated.
  Specified by:
    `singleSize` in interface `ConstantMatrix`
  Overrides:
    `singleSize` in class `DenseMatrix`

### cloneMatrix

    public final ConstantMatrix cloneMatrix()

  Deprecated.
  Specified by:
    `cloneMatrix` in interface `ConstantMatrix`
  Specified by:
    `cloneMatrix` in class `DenseMatrix`

### cloneMatrix2

    public final Matrix2 cloneMatrix2()

  Deprecated.

### setAll

    public final void setAll(double v)

  Deprecated.
  Specified by:
    `setAll` in interface `Matrix`
  Overrides:
    `setAll` in class `DenseMatrix`

### setAll

    public final void setAll(double v,
                             FeatureSelection fselection,
                             boolean ifSelected)

  Deprecated.
  If "ifSelected" is false, it reverses the selection. If "fselection" is null, this implies that all features are selected; all values will be changed unless "ifSelected" is false.

### rowSetAll

    public final void rowSetAll(int ri,
                                double v,
                                FeatureSelection fselection,
                                boolean ifSelected)

  Deprecated.
  If "ifSelected" is false, it reverses the selection. If "fselection" is null, this implies that all features are selected; all values in the row will be changed unless "ifSelected" is false.

### plusEquals

    public final void plusEquals(int ri,
                                 int ci,
                                 double value)

  Deprecated.

### rowPlusEquals

    public final void rowPlusEquals(int ri,
                                    Vector v,
                                    double factor)

  Deprecated.

### rowPlusEquals

    public final void rowPlusEquals(int ri,
                                    double v,
                                    double factor)

  Deprecated.

### columnPlusEquals

    public final void columnPlusEquals(int ci,
                                       Vector v,
                                       double factor)

  Deprecated.

### columnPlusEquals

    public final void columnPlusEquals(int ci,
                                       double v,
                                       double factor)

  Deprecated.

### rowDotProduct

    public final double rowDotProduct(int ri,
                                      Vector v)

  Deprecated.

### rowDotProduct

    public final double rowDotProduct(int ri,
                                      Vector v,
                                      int maxCi,
                                      FeatureSelection selection)

  Deprecated.
  Skip all column indices higher than "maxCi". This lets you store non-vocabulary based parameters in the high column indices, without fearing that they may later be included by accident if the dictionary grows. You may pass null for selection.

### twoNormSquared

    public final double twoNormSquared()

  Deprecated.

### print

    public void print()

  Deprecated.
  Specified by:
    `print` in interface `ConstantMatrix`
  Overrides:
    `print` in class `DenseMatrix`

### toString

    public java.lang.String toString()

  Deprecated.
  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD